diff autogen.sh @ 5441:9d36800df1ae HEAD

Added documentation to doc/wiki/. autogen.sh downloads them from dovecot.org if they don't exist. Changed wiki links in dovecot-example.conf to point to the doc/wiki/ directory instead.
author Timo Sirainen <tss@iki.fi>
date Wed, 28 Mar 2007 01:50:53 +0300
parents d86ee13688d5
children e9745c1c4d14
line wrap: on
line diff
--- a/autogen.sh	Wed Mar 28 00:56:53 2007 +0300
+++ b/autogen.sh	Wed Mar 28 01:50:53 2007 +0300
@@ -16,4 +16,17 @@
   fi
 done
 
+if ! test -f doc/wiki/Authentication.txt; then
+  cd doc
+  wget http://www.dovecot.org/tmp/wiki-export.tar.gz
+  tar xzf wiki-export.tar.gz
+  mv wiki-export/*.txt wiki/
+  cd wiki
+  cp -f Makefile.am.in Makefile.am
+  echo *.txt | sed 's/ / \\\n	/g' >> Makefile.am
+  cd ..
+  rm -rf wiki-export wiki-export.tar.gz
+  cd ..
+fi
+
 autoreconf -i